Interface between the Server and the Socket

### Hierarchy

- ISocketEvents

## Index

### Methods

- onLobbyBan
- onLobbyCreate
- onLobbyJoin
- onLobbyKick
- onLobbyTournamentContinue
- onLobbyTournamentStart
- onPlayerConnect
- onPlayerDisconnect
- updateStats

## Methods

### onLobbyBan

- onLobbyBan(lobbyToken: string, playerToken: string): Lobby

- - Defined in server/SocketServer.ts:19

  #### Parameters

  - ##### lobbyToken: string

  - ##### playerToken: string

  #### Returns Lobby

### onLobbyCreate

- onLobbyCreate(player: Player): Lobby

- - Defined in server/SocketServer.ts:20

  #### Parameters

  - ##### player: Player

  #### Returns Lobby

### onLobbyJoin

- onLobbyJoin(player: Player, lobbyToken: string, spectating: boolean): Lobby

- - Defined in server/SocketServer.ts:21

  #### Parameters

  - ##### player: Player

  - ##### lobbyToken: string

  - ##### spectating: boolean

  #### Returns Lobby

### onLobbyKick

- onLobbyKick(lobbyToken: string, playerToken: string): Lobby

- - Defined in server/SocketServer.ts:18

  #### Parameters

  - ##### lobbyToken: string

  - ##### playerToken: string

  #### Returns Lobby

### onLobbyTournamentContinue

- onLobbyTournamentContinue(lobbyToken: string): Lobby

- - Defined in server/SocketServer.ts:23

  #### Parameters

  - ##### lobbyToken: string

  #### Returns Lobby

### onLobbyTournamentStart

- onLobbyTournamentStart(lobbyToken: string, options: ITournamentOptions, players: string[]): Lobby

- - Defined in server/SocketServer.ts:22

  #### Parameters

  - ##### lobbyToken: string

  - ##### options: ITournamentOptions

  - ##### players: string[]

  #### Returns Lobby

### onPlayerConnect

- onPlayerConnect(player: Player): void

- - Defined in server/SocketServer.ts:16

  #### Parameters

  - ##### player: Player

  #### Returns void

### onPlayerDisconnect

- onPlayerDisconnect(player: Player): void

- - Defined in server/SocketServer.ts:17

  #### Parameters

  - ##### player: Player

  #### Returns void

### updateStats

- updateStats(): void

- - Defined in server/SocketServer.ts:24

  #### Returns void

Generated using TypeDoc